Subject: bug#30757: Better manipulation (suppressing, examining type) of warnings from *Warnings* buffer

From: Robert Pluim <[email-masked]>
Date: Fri, 04 Sep 2020 10:54:44 +0200

>>>>> On Fri, 04 Sep 2020 06:30:31 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> Yes. I'm stuck between being precise but verbose, and more general and
    >> succinct, and expressing the permanence of the resulting change. I've
    >> make another attempt, although I'm still not entirely happy with it,
    >> especially since the button texts are now quite long (I thought about
    >> using the verb 'hide', but that's not accurate either).

    Lars> I think everybody agreed that the feature was good, but there was some
    Lars> discussion about the wording, so the patch was never applied.  I've now
    Lars> respun the patch for Emacs 28, and tweaked the wording (and made it
    Lars> pretty brief).  If anybody wants to change the wording, please do so,
    Lars> but I don't think we should let that stop us from adding the
    Lars> functionality, so I've now pushed it.

I think this one was a victim of when I moved to a mac, and it got
orphaned. Thanks for this, although youʼre running the risk of me just
posting patches and waiting for you to apply them :-)

Robert